package com.series.word.oftheman.info.appc.sok

import androidx.activity.compose.BackHandler
import androidx.compose.foundation.Image
import androidx.compose.foundation.layout.Arrangement
import androidx.compose.foundation.layout.Box
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxSize
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.height
import androidx.compose.foundation.layout.padding
import androidx.compose.foundation.rememberScrollState
import androidx.compose.foundation.verticalScroll
import androidx.compose.runtime.Composable
import androidx.compose.runtime.mutableStateOf
import androidx.compose.runtime.remember
import androidx.compose.ui.Alignment
import androidx.compose.ui.Modifier
import androidx.compose.ui.layout.ContentScale
import androidx.compose.ui.platform.LocalConfiguration
import androidx.compose.ui.res.painterResource
import androidx.compose.ui.unit.dp
import com.series.word.oftheman.info.appc.R
import com.series.word.oftheman.info.appc.esheest.Bakk
import com.series.word.oftheman.info.appc.esheest.Butilka
import com.series.word.oftheman.info.appc.esheest.Textos

@Composable
fun Chetvertiy(gb:()->Unit) {
    val fh = LocalConfiguration.current.screenHeightDp
    val fw = LocalConfiguration.current.screenWidthDp

    val text1 = remember{
        mutableListOf(
            "Что о пацанских понятиях говорят\n         российские мужчины",
            "В чем разница между пацанскими и\n        воровскими понятиями",
            "Почему сериал вызвал такой\n" +
                    "     резонанс в обществе",
            "Почему сериал вызвал такой\n" +
                    "     резонанс в обществе",
            "Как пацаны связаны с патриархатом\n" +
                    "      и другими формами власти",
            "Как пацаны связаны с патриархатом\n" +
                    "      и другими формами власти",
            "Как пацаны связаны с патриархатом\n" +
                    "      и другими формами власти",
            "Сериал критикует или прославляет\n" +
                    "          пацанские понятия?",
            "Сериал критикует или прославляет\n" +
                    "          пацанские понятия?",
            "Сериал критикует или прославляет\n" +
                    "          пацанские понятия?"
        )
    }
    val text2 = remember{
        mutableListOf(
            "В сериале «Слово пацана» очень реалистично показана действительность, с которой сталкивался каждый, " +
                    "кто жил или продолжает жить в России. Виталий — один из участников моего исследования про то, " +
                    "как функционируют и утверждают себя российские маскулинности, человек с высшим образованием, " +
                    "представитель творческой профессии, который никогда не сидел в тюрьме и не состоял в " +
                    "криминальных группировках, — отвечая на мой вопрос «Кто учил тебя быть мужчиной?», сказал:" +
                    " «Улица». Проговорив все основные принципы пацанского кодекса чести («пацан не кинет», " +
                    "«пацан не соврет», «пацан поможет», «пацан сказал — пацан сделал»), он добавил:\n" +
                    "«У нас в России распределяется вся жизнь на два закона: есть воровской закон, а есть закон" +
                    " государственный. Всю жизнь люди ходили больше к ворам. Воры решали по сути. Есть такое даже понятие:" +
                    " как по-воровски, так и по-людски. Понимаешь? Им больше верили… Они очень умные жизнью были. " +
                    "Они решали грамотно. Не как жироподобный свиночиновник, продавшийся там за карьерную лестницу, а" +
                    " люди, которые прошли жизнь в Сибири, в ссылке там».\n" +
                    "Девять из двадцати мужчин, которых я интервьюировала в Самаре в 2013 году, объяснили мне, что з" +
                    "начит быть мужчиной, опираясь на язык и правила пацанского кодекса чести. Как и Виталий, восемь" +
                    " из них не имели никакого отношения к криминальному миру. ",
            "Пацан — это сложный, многоуровневый феномен с долгой историей, уходящей корнями в воровской закон. " +
                    "Это неписаный свод правил и норм, возникший в России в 1930-е годы и призванный регулировать " +
                    "взаимоотношения между тюремными заключенными, профессиональными преступниками и внешним миром. " +
                    "Воровской закон (или понятия) стоит на трех китах: строгая иерархия, открытое неуважение к формальным " +
                    "социальным институтам и особенно институтам государственной власти, а также культура взаимного доверия" +
                    " и поддержки среди членов группы. Термин «вор» в контексте советской и российской тюрьмы относится" +
                    " не к обыденному употреблению этого слова (кто-то, кто крадет чужое имущество), а к" +
                    " элитной группе лидеров тюремного и криминального мира. Сами себя они называют «люди»." +
                    " Как и воры, пацаны также видят себя не просто доминантной, а элитной группой на улице.\n" +
                    "Воры следуют своему собственному закону, который имеет ритуалы инициации и исключения, предписывает, " +
                    "что правильно, а что нет, что приемлемо, а что нет. Хотя правила воровского мира и имеют некоторые" +
                    " вариации, его основные принципы включают бескомпромиссное отношение к доносу и воровству у своих," +
                    " приоритет коллективного интереса над личным, братство между заключенными, оказание помощи тем," +
                    " кто оказался в трудной ситуации. В воровском понимании понятия предписывают жить и действовать " +
                    "по совести, а не по законам государства.\n" +
                    "В академической литературе, например у Вадима Волкова, Дмитрия Громова и Светланы Стивенсон, " +
                    "есть концептуальное различение между воровскими понятиями и пацанскими правилами, " +
                    "но на практике граница часто бывает размыта. Дело в том, что различные социальные" +
                    " группы в Советском Союзе и постсоветских странах практиковали свои собственные " +
                    "интерпретации понятий и демонстрировали разные уровни приверженности этим правилам." +
                    " Например, драма седьмой серии строится на том, что Турбо настаивает на " +
                    "тюремной интерпретации того, что случилось с Айгуль («Если баба — вафлерша, а" +
                    " человек начнет с ней сигарету одну на двоих курить, из горла пить, он кто был бы?»)." +
                    " Вова Адидас, Зима, Пальто, Марат и другие пацаны не видят необходимости интерпретировать " +
                    "события в таком ключе.",
            "Это может показаться не самым очевидным выводом, но, по моему мнению и мнению коллег, которые несколько " +
                    "десятилетий занимаются темой воров в законе, бандитов, пацанов и иных мужских объединений в" +
                    " советской и постсоветской России (например, Светлана Стивенсон и Вадим Волков), чтобы понять" +
                    " причины популярности сериала «Слово пацана», нужно смотреть на ту пропасть, которая отделяет" +
                    " народные понятия о совести и справедливости от законодательных практик и норм.\n" +
                    "Валерий Абрамкин, исследователь тюремных субкультур и основатель центра содействия реформе " +
                    "уголовного правосудия «Тюрьма и воля», утверждает: «Неформальные принципы, которые мы используем в " +
                    "жизни при принятии решений, разительно отличаются от государственного права... „Решить дело " +
                    "по-человечески“ — почти всегда значит отказаться от его решения по закону, обращения в суд или в милицию».\n" +
                    "Народное понимание справедливости в России не совпадает с официальным правом, поскольку жители" +
                    " России не воспринимают государство как выразителя своих интересов.",
            "До возвращения Вовы Адидаса из армии во главе банды «Универсам» стоит Кощей —" +
                    " человек отсидевший, транслирующий дворовой молодежи воровской закон. " +
                    "«Я здесь людей воспитывал, тебя в люди выводил», — говорит он Адидасу, когда" +
                    " тот кидает Кощею предъяву за предательство младшего пацана. Отобрав" +
                    " у него власть, Вова Адидас говорит: «Мы улица, универсамовские, а ваши" +
                    " арестантские дела нас не касаются». Последующая сцена, в которой пацаны" +
                    " вслед за новым лидером скандируют «Мы — улица! Мы — улица! Мы — улица!»," +
                    " как и сцены, описывающие попытки нового лидера банды поставить деятельность" +
                    " универсамовских на коммерческие рельсы (рента с проезжающих автомобилистов," +
                    " открытие видеосалона), очень точно фиксирует исторический момент размежевания" +
                    " воров и пацанов. Многие из последних, как известно, в 1990-е годы превратились" +
                    " в силовых предпринимателей и сыграли ключевую роль в установлении рыночной экономики" +
                    " в России.\nРежиссер сериала Жора Крыжовников в своем интервью говорит, что, готовясь" +
                    " к сериалу, он «прочитал и посмотрел все, что существует по теме». Мне, как" +
                    " исследовательнице этой темы, хорошо видна начитанность автора. Она выражается" +
                    " не только в том, что пацаны получились очень убедительными, но и в знании истории этого феномена.",
            "Образ пацана с почти одинаковой интенсивностью откликается и в бумерах, и в миллениалах, и в " +
                    "зумерах. Вы с легкостью найдете обожателей пацанов среди представителей всех гендеров, " +
                    "поколений и классовых групп. Быстро отыщутся и те, кто выразит свое классовое презрение " +
                    "и скажет, что пацаны — быдло, агрессивные бескультурные гопники. Сложнее будет найти " +
                    "равнодушных. Любимый аргумент примерно всех, кто берется рассуждать на эту тему, в том," +
                    " что руководители российского государства по-прежнему руководствуются пацанскими понятиями. " +
                    "Сериал «Слово пацана» в который раз высветил культурные споры по поводу этого социального явления," +
                    " которые в нашем контексте не утихают более полувека.\n" +
                    "Я прочитала опубликованные рецензии на сериал и отметила, что разговор в" +
                    " основном идет про ужасы уличного мира и криминальных разборок и про противоречия " +
                    "внутри пацанского кодекса чести. Однако народная любовь ни к пацанам, ни к сериалу " +
                    "не может родиться из одного только ужаса, а подмеченные противоречия не обесценивают" +
                    " непрекращающуюся культурную силу пацанского слова.",
            "Нравится нам это или нет, но пацан — это один из основных идеалов маскулинности в современной России. " +
                    "В 1990-е годы физическую силу и уличный авторитет можно было трансформировать в экономическую " +
                    "прибыль. Демонстрация этих качеств стала одним из основных способов утверждения маскулинности" +
                    " в постсоветской России. Хотя сегодня мастерство в уличных драках перестало быть социальным лифт" +
                    "ом, память об этом прошлом живет.\nСуществует несколько взаимодополняющих друг друга объясне" +
                    "ний, почему фигура пацана стала одним из главных идеалов маскулинности в России. " +
                    "Помимо альтернативного понимания справедливости, о котором я уже сказала, нужно " +
                    "учитывать количественный размах этого явления, культурную историю и гендерные стратегии власти.\n" +
                    "Криминологи указывают на времена хрущевской амнистии, после которой на волю вышло " +
                    "большое количество заключенных — носителей зоновского фольклора, а также ссылаются" +
                    " на статистику, согласно которой в конце 1980-х годов каждый третий подросток " +
                    "в возрасте от 12 до 18 лет был членом территориальной группы.",
            "Романтизация воров и бандитов в постсоветской культуре стала другим важным фактором. Исследование " +
                    "ВЦИОМ 2012 года показало, что радио «Шансон», транслирующеe песни блатного мира, входит в " +
                    "пятерку самых популярных радиостанций страны. Фильмы Алексея Балабанова «Брат» и «Брат 2», " +
                    "сериал «Бригада» и бесчисленное множество других кинопродуктов десятилетиями воспевали " +
                    "мужчин, которые преступными средствами добывали себе деньги, власть и всеобщее уважение. " +
                    "Да, в сериале «Слово пацана» тоже есть романтизация пацанских группировок, однако романтика " +
                    "и красота здесь также в глазах любящего зрителя.\n" +
                    "Ну и наконец, пацанский кодекс чести очень функционален в задаче поддержания и оправдания" +
                    " патриархата. Эту задачу нельзя решить раз и навсегда, разные общества в разные исторические " +
                    "эпохи изобретали под эту цель разные идеологические средства. Пацанский культ физической силы" +
                    " и сильного характера, верность слову, готовность драться и идти на риск, мужское лидерство" +
                    " и братство плотно сплетены с объективизацией женщин и изображением их как априори иных" +
                    " и неравнозначных мужчинам людей. Эта система также способствует построению строгой " +
                    "иерархии среди мужчин, их разделению на достойных и недостойных, настоящих и ненастоящих.",
            "Создатели поработали над тем, чтобы показать неприглядную сторону пацанского мира. " +
                    "Сцены, где родители оплакивают убитых подростков (бабушка Ералаша, мать Желтого и отец Айгуль), " +
                    "вырывают зрителя из режима наслаждения и сопереживания пацанам.\n" +
                    "Однако в этом проекте есть много моментов, где пацанам выносится оправдательный приговор. " +
                    "Когда в седьмой серии Вова Адидас говорит другим старшим пацанам: «Что-то мы не то делаем», " +
                    "Турбо отвечает: «А что ты предлагаешь? На завод, как батя мой, и бухать каждый день?»\n" +
                    "В сериале несколько раз проговаривается, что у подростков того времени не было альтернатив. " +
                    "Если ты не хочешь быть жертвой ежедневного насилия в школьной раздевалке, " +
                    "единственный выход — это примкнуть к банде. Даже парни из обеспеченных, благополучных семей " +
                    "(Марат и Вова) выбирают быть в банде, так как не видят другого способа приобрести самостоятельность " +
                    "и мужской статус.",
            "Рокеры, с которыми тусуется молодая милиционерша, изображены слабыми и не классными. Хотя комсомольца," +
                    " который представляет альтернативу пацанскому миру, пока никто не избил, этот образ тоже не " +
                    "представляется привлекательным зрителю. В отличие от пацанов, у них нет никакого кодекса, это" +
                    " беспринципные люди. Используя советскую риторику воспитания молодежи на сцене, они организуют " +
                    "полуподпольный бизнес и привлекают пацанов для своих целей. Это еще одна очень точно подсвеченная" +
                    " историческая деталь: именно из руководства комсомола вышли многие люди, составившие бизнес- и " +
                    "политическую элиту России.\nМы смотрим сериал, и нам хорошо понятно, почему подростки стремились" +
                    " стать пацанами, но критики этого явления в сериале, скорее, нет.\n" +
                    "К слову, предыдущий проект режиссера, «Звоните ДиКаприо!» — это вполне" +
                    " удачная социальная критика замалчиваемой катастрофы ВИЧ в России. " +
                    "Мне показалось, что главная цель сериала «Слово пацана» — показать " +
                    "пацанов реалистично. Это хорошо удалось. Зритель узнает и ностальгирует" +
                    ", как танцевали на дискотеках, как бегали из двора во двор, решали вопросы" +
                    " между районами. Однако, несмотря на заявления режиссера, этот сериал не критика," +
                    " а скорее, зеркало, в котором каждый видит отголоски собственной жизни и жизни страны в целом.",
            "Как исследовательница маскулинности, добавлю, что все эпические саги о сильных и бравых мужчинах — от " +
                    "«Илиады» Гомера и «Крестного отца» до марвеловских «Мстителей» — обслуживают одну и ту же " +
                    "мужскую фантазию о том, что настоящие мужчины могут просто выйти из дома и решить все свои " +
                    "проблемы с помощью насилия. В связи с тем, что современный мир не самое уютное место для " +
                    "людей, плотно загруженных в гендерную матрицу и искренне верящих в сильных мужчин и слабых " +
                    "женщин, такая фантазия позволяет немного обезболиться тем, кто по тем или иным причинам не" +
                    " чувствует себя «достаточно» мужчиной в повседневной жизни.\n" +
                    "Я с нетерпением жду переснятый финал, чтобы посмотреть, удалось ли создателям пробить эту " +
                    "стенку. Но сам факт изменения концовки говорит, что создатели, как и зрители, переживают " +
                    "сейчас серьезную рефлексию и переоценку пацанских понятий."
        )
    }
    val kartinka = remember{
        mutableListOf(
            R.drawable.vtoroe0,
            R.drawable.vtoroe1,
            R.drawable.vtoroe2,
            R.drawable.vtoroe3,
            R.drawable.vtoroe4,
            R.drawable.vtoroe5,
            R.drawable.vtoroe6,
            R.drawable.vtoroe7,
            R.drawable.vtoroe8,
            R.drawable.vtoroe9,
        )
    }
    val what = remember{
        mutableStateOf(0)
    }
    Box(modifier = Modifier.fillMaxSize())
    {

            Bakk(image = R.drawable.vtoroybg)

        Butilka(perehodik = { if(what.value==0)
        {
            gb.invoke()
        }
        else{
            what.value--
        }},
            modifier = Modifier.padding(top = (fh*0.03).dp, start = (fw*0.025).dp)) {
            Image(painter = painterResource(id = R.drawable.backbutton), contentDescription ="" )
        }
        Column (modifier = Modifier
            .align(Alignment.Center)
            .padding(bottom = (fh*0.1).dp)
            .height((fh*0.7).dp)
            .fillMaxWidth(),
            horizontalAlignment = Alignment.CenterHorizontally,
            verticalArrangement = Arrangement.spacedBy((fh*0.012).dp))
        {
            Textos(text = text1[what.value], size = 17)
            Image(painter = painterResource(kartinka[what.value]), contentDescription ="",
                modifier = Modifier.fillMaxWidth(),
                contentScale = ContentScale.FillBounds)
            Column(modifier = Modifier.verticalScroll(rememberScrollState())) {
                Textos(text = text2[what.value], size = 17)
            }
        }

        if(what.value==9)
        {


            Butilka(perehodik = { gb.invoke()},
                modifier = Modifier
                    .align(
                        Alignment.BottomCenter
                    )
                    .padding(bottom = (fh * 0.1).dp)) {
                Image(painter = painterResource(id = R.drawable.vmenu), contentDescription ="")
            }
        }
        else
        {
            Butilka(perehodik = {
                what.value++
            },
                modifier = Modifier
                    .align(
                        Alignment.BottomCenter
                    )
                    .padding(bottom = (fh * 0.1).dp)) {
                Image(painter = painterResource(id = R.drawable.dalee), contentDescription ="")
            }
        }

    }
    BackHandler {

    }
}